Package: org.gradle.nativeplatform.toolchain

## [Java] Interface GccCompatibleToolChain

- org.gradle.nativeplatform.toolchain.NativeToolChain

- All Superinterfaces:
    Named, ToolChain, NativeToolChain

  A ToolChain that can handle additional platforms simply by configuring the NativeBinary.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `eachPlatform(Action<? super GccPlatformToolChain> action)` Adds an action that can fine-tune the tool configuration for each platform supported by this tool chain.
    `List<File>` | `getPath()` The paths setting required for executing the tool chain.
    `void` | `path(Object... pathEntries)` Append an entry or entries to the tool chain path.
    `void` | `target(String platformName)` Add support for target platform specified by name.
    `void` | `target(String platformName, Action<? super GccPlatformToolChain> action)` Add configuration for a target platform specified by name with additional configuration action.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ToolChain` | `getDisplayName`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public void eachPlatform(Action<? super GccPlatformToolChain> action)

      Adds an action that can fine-tune the tool configuration for each platform supported by this tool chain.

    - #### public List<File> getPath()

      The paths setting required for executing the tool chain. These are used to locate tools for this tool chain, and are prepended to the system PATH when executing these tools.

    - #### public void path(Object... pathEntries)

      Append an entry or entries to the tool chain path.

      Parameters:
        `pathEntries` - The path values to append. These are evaluated as per Project.files

    - #### public void target(String platformName)

      Add support for target platform specified by name.

    - #### public void target(String platformName, Action<? super GccPlatformToolChain> action)

      Add configuration for a target platform specified by name with additional configuration action.